Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xalan.xslt
Class StylesheetSpec

    java.lang.Object
      |
      +--javax.xml.transform.stream.StreamSource
            |
            +--weblogic.apache.xalan.xslt.StylesheetSpec

Deprecated. This compatibility layer will be removed in later releases.

public class StylesheetSpec
extends javax.xml.transform.stream.StreamSource

This class implements the representation of a stylesheet specification via xml-stylesheet in an XML document.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Fields inherited from class javax.xml.transform.stream.StreamSource
`FEATURE`

Constructor Summary
`StylesheetSpec(java.lang.String href, java.lang.String type, java.lang.String title, java.lang.String media, boolean alternate, java.lang.String encoding)` Deprecated. Create a StylesheetSpec object.

Method Summary
`java.lang.String` | `getEncoding()` Deprecated. Get the encoding of the stylesheet.
`boolean` | `getIsAlternate()` Deprecated. Get whether or not the stylesheet is specified as an alternate.
`java.lang.String` | `getMedia()` Deprecated. Get the media attribute of the stylesheet.
`java.lang.String` | `getTitle()` Deprecated. Get the title of the element (in other words, the item to be presented to the user agent).
`java.lang.String` | `getType()` Deprecated. Get the type of the stylesheet, i.e.

Methods inherited from class javax.xml.transform.stream.StreamSource
`getInputStream, getPublicId, getReader, getSystemId, setInputStream, setPublicId, setReader, setSystemId, setSystemId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StylesheetSpec

    public StylesheetSpec(java.lang.String href,
                          java.lang.String type,
                          java.lang.String title,
                          java.lang.String media,
                          boolean alternate,
                          java.lang.String encoding)

  Deprecated.
  Create a StylesheetSpec object.

Method Detail

### getEncoding

    public java.lang.String getEncoding()

  Deprecated.
  Get the encoding of the stylesheet.

### getType

    public java.lang.String getType()

  Deprecated.
  Get the type of the stylesheet, i.e. "text/xsl".

### getTitle

    public java.lang.String getTitle()

  Deprecated.
  Get the title of the element (in other words, the item to be presented to the user agent).

### getMedia

    public java.lang.String getMedia()

  Deprecated.
  Get the media attribute of the stylesheet.

### getIsAlternate

    public boolean getIsAlternate()

  Deprecated.
  Get whether or not the stylesheet is specified as an alternate.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference